=== debian/changelog ===
mpi4py (2.0.0-3) unstable; urgency=medium

  * Team Upload
  
  [ Stuart Prescott ]
  * Fix sover list used in dlopen so that current libmpi.so is found
    (Closes: #860476)

  [ Andreas Tille ]
  * Fix homepage
  * Priority: optional
  * Fix watch file
  * cme fix dpkg-control
  * Standards-Version: 4.1.0
  * Drop -dbg packages

 -- Andreas Tille <tille@debian.org>  Thu, 07 Sep 2017 08:27:21 +0200

mpi4py (2.0.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * In debian/rules:override_dh_auto_test, treat test errors as warnings.
    Closes: #856349.

 -- Drew Parsons <dparsons@debian.org>  Wed, 08 Mar 2017 16:18:00 +0800

mpi4py (2.0.0-2) unstable; urgency=medium

  * Point to libm.so.6 in the test, not libm.so (Closes: #817884)
    (Thanks Alastair McKinstry)
  * Removed dangling symlink /usr/include/mpi4py.  include/ is symlinked
    for each python version under /usr/include/python*.*/mpi4py/
    (Closes: #805301)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 02 Aug 2016 10:42:00 -0400

mpi4py (2.0.0-1) unstable; urgency=medium

  * New upstream release
    - should be compatible with python 3.5 (Closes: 793839)
  * debian/watch adjusted to monitor bitbucket
  * debian/control
    - boosted policy to 3.9.7
  * debian/rules
    - hardcode sphinx date for reproducible build (Closes: #788476)
      Thanks Juan Picca

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 29 Feb 2016 08:23:56 -0500

mpi4py (1.3.1+hg20131106-2) unstable; urgency=medium

  * debian/rules
    - assure absent reliance on network via http*_proxy env var
  * debian/patches
    - up_tests_network_attr tag BaseTestSpawn tests as relying on network
      access and exclude them from running at pkg build time (Closes: #769801)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 16 Nov 2014 15:06:21 -0500
