=== debian/control ===
Source: mpi4py
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 7.0.50~),
               dh-autoreconf,
               mpi-default-dev,
               mpi-default-bin,
               rsh-client | openssh-client,
               python-all-dev,
               python-numpy,
               python-sphinx,
               python-nose,
               cython,
               python3-all-dev,
               python3-numpy,
               python3-nose
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-exppsy/mpi4py.git
Vcs-Git: https://anonscm.debian.org/git/pkg-exppsy/mpi4py.git
Homepage: http://pythonhosted.org/mpi4py/

Package: python-mpi4py
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         mpi-default-bin
Suggests: python-numpy
Description: bindings of the Message Passing Interface (MPI) standard
 MPI for Python (mpi4py) provides bindings of the Message Passing
 Interface (MPI) standard for the Python programming language,
 allowing any Python program to exploit multiple processors.
 .
 mpi4py is constructed on top of the MPI-1/MPI-2 specification
 and provides an object oriented interface which closely follows MPI-2
 C++ bindings.  It supports point-to-point (sends, receives) and
 collective (broadcasts, scatters, gathers) communications of any
 picklable Python object as well as optimized communications of Python
 object exposing the single-segment buffer interface (NumPy arrays,
 builtin bytes/string/array objects).

Package: python3-mpi4py
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Recommends: mpi-default-bin
Suggests: python3-numpy
Description: bindings of the Message Passing Interface (MPI) standard
 MPI for Python (mpi4py) provides bindings of the Message Passing
 Interface (MPI) standard for the Python programming language,
 allowing any Python program to exploit multiple processors.
 .
 mpi4py is constructed on top of the MPI-1/MPI-2 specification
 and provides an object oriented interface which closely follows MPI-2
 C++ bindings.  It supports point-to-point (sends, receives) and
 collective (broadcasts, scatters, gathers) communications of any
 picklable Python object as well as optimized communications of Python
 object exposing the single-segment buffer interface (NumPy arrays,
 builtin bytes/string/array objects).

Package: python-mpi4py-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Suggests: python-mpi4py
Description: bindings of the MPI standard -- documentation
 MPI for Python (mpi4py) provides bindings of the Message Passing
 Interface (MPI) standard for the Python programming language,
 allowing any Python program to exploit multiple processors.
 .
 mpi4py is constructed on top of the MPI-1/MPI-2 specification
 and provides an object oriented interface which closely follows MPI-2
 C++ bindings.  It supports point-to-point (sends, receives) and
 collective (broadcasts, scatters, gathers) communications of any
 picklable Python object as well as optimized communications of Python
 object exposing the single-segment buffer interface (NumPy arrays,
 builtin bytes/string/array objects).
 .
 This package provides HTML rendering of the user's manual.
