## mpi4py 3.0.2

=== debian/changelog ===
mpi4py (3.0.2-13) unstable; urgency=medium

  * Team upload.
  * fix override_dh_strip to ignore missing debug .so files (not
    installed in doc arch-indep builds). Closes: #938970.

 -- Drew Parsons <dparsons@debian.org>  Sat, 31 Aug 2019 01:39:45 +0800

mpi4py (3.0.2-12) unstable; urgency=medium

  * Team upload.
  * source-only upload to let python3-mpi4py-dbg migrate into testing

 -- Drew Parsons <dparsons@debian.org>  Fri, 30 Aug 2019 13:45:46 +0800

mpi4py (3.0.2-11) unstable; urgency=medium

  * Team upload.
  * provide python3-mpi4py-dbg built with python3-dbg
    (and python-mpi4py-dbg for python-dbg)

 -- Drew Parsons <dparsons@debian.org>  Sun, 18 Aug 2019 19:48:16 +0800

mpi4py (3.0.2-10) unstable; urgency=medium

  * Team upload.
  * debian patch fix_pytest4.patch updates [pytest] to [tool:pytest]
    for pytest4.

 -- Drew Parsons <dparsons@debian.org>  Fri, 09 Aug 2019 08:56:32 +0800

mpi4py (3.0.2-9) unstable; urgency=medium

  * Team upload.
  * debian/tests: run with --color=no to make debci logs easier to read

 -- Drew Parsons <dparsons@debian.org>  Thu, 25 Jul 2019 20:36:43 +0800

mpi4py (3.0.2-8) unstable; urgency=medium

  * Team upload.
  * install pdf, info, man and bib documentation files
  * debian/rules: set ARCH_IGNORE_FAILED_TESTS=hurd-i386 to ignore
    test failures on hurd.
  * debian patch fix_docs.patch repositions ellipses (...) which
    at the beginning of the line corrupted the man page.

 -- Drew Parsons <dparsons@debian.org>  Wed, 24 Jul 2019 17:59:26 +0800

mpi4py (3.0.2-7) unstable; urgency=medium

  * Team upload.
  * debian/tests:
    - run with mpiexec -n 5 (recommended by upstream)
    - Restrictions: allow-stderr (to ignore a warning about
      MPI_THREAD_MULTIPLE on non-RMA/Infiniband hardware)

 -- Drew Parsons <dparsons@debian.org>  Mon, 22 Jul 2019 17:47:35 +0800

mpi4py (3.0.2-6) unstable; urgency=medium

  * Team upload.
  * set OMPI_MCA_rmaps_base_oversubscribe=yes in debian/tests/control
    to allow MPI spawn tests. Run tests with mpiexec -n 3.
  * update debian patch up_libm with upstream commit 89f86e9.

 -- Drew Parsons <dparsons@debian.org>  Sun, 21 Jul 2019 21:47:42 +0800

mpi4py (3.0.2-5) unstable; urgency=medium

  * Team upload.
  * don't build docs during arch binary builds:
    split override_dh_auto_build into -arch and -indep
  * debian/tests Depends: python3-nose
  * update Homepage: https://bitbucket.org/mpi4py/mpi4py

 -- Drew Parsons <dparsons@debian.org>  Sun, 21 Jul 2019 13:53:53 +0800

mpi4py (3.0.2-4) unstable; urgency=medium

  * Team upload.
  * mark python-mpi4py-doc as Multi-Arch: foreign
  * add python module dependencies for debian/tests

 -- Drew Parsons <dparsons@debian.org>  Sun, 21 Jul 2019 08:09:00 +0800

mpi4py (3.0.2-3) unstable; urgency=medium

  * Team upload.
  * drop fix-dlopen.patch again. libm.so fixes for test_dl.py belong in
    debian patch up_libm.

 -- Drew Parsons <dparsons@debian.org>  Sat, 20 Jul 2019 01:23:37 +0800

mpi4py (3.0.2-2) unstable; urgency=medium

  * Team upload.
  * skip build tests on x32 (they consistently time out)
  * add debian/tests to support autopkgtest
  * reinstate debian patch fix-dlopen.patch and use
    ctypes.util.find_library to find the system's libm.so.
    Needed for systems without lib.so.6 (alpha, ia64).
    Closes: #840817.
  * reinstate build test failures as errors not warnings.
    Tests are now expected to pass. Closes: #856349.

 -- Drew Parsons <dparsons@debian.org>  Sat, 20 Jul 2019 00:47:26 +0800

mpi4py (3.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. Closes: #897956.
    - deprecates debian patch fix-dlopen.patch
  * Move mpi4py packaging to the Debian Science Team.
  * Standards-Version: 4.4.0
  * debhelper compatibility level 12
    - drop autoreconf from dh addons (now applied automatically)
    - dh_dwz has been deactivated since it generates an error:
      ".debug_line reference above end of section"
    - docs now placed in /usr/share/doc/python-mpi4py not
      .../python-mpi4py-doc
  * Use pybuild, cython3, python3-sphinx to build.
    - debian patch docs_sphinx_python3.patch invokes python3-sphinx
  * python3-mpi4py Depends: mpi-default-bin. Closes: #821466.
  * add debian/missing-sources to satisfy lintian errors for
    redirect.html, jquery.js, underscore.js

 -- Drew Parsons <dparsons@debian.org>  Fri, 19 Jul 2019 00:31:51 +0800
