=== debian/control ===
--- 
+++ 
@@ -1,26 +1,28 @@
 Source: mpi4py
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <michael.hanke@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 7.0.50~),
-               dh-autoreconf,
+Build-Depends: debhelper-compat (= 12),
+               dh-python,
                mpi-default-dev,
                mpi-default-bin,
                rsh-client | openssh-client,
                python-all-dev,
+               python-all-dbg,
                python-numpy,
-               python-sphinx,
                python-nose,
-               cython,
+               cython3,
                python3-all-dev,
+               python3-all-dbg,
                python3-numpy,
-               python3-nose
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-exppsy/mpi4py.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-exppsy/mpi4py.git
-Homepage: http://pythonhosted.org/mpi4py/
+               python3-nose,
+               python3-sphinx
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/science-team/mpi4py
+Vcs-Git: https://salsa.debian.org/science-team/mpi4py.git
+Homepage: https://bitbucket.org/mpi4py/mpi4py
 
 Package: python-mpi4py
 Architecture: any
@@ -46,8 +48,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${python3:Depends}
-Recommends: mpi-default-bin
+         ${python3:Depends},
+         mpi-default-bin
 Suggests: python3-numpy
 Description: bindings of the Message Passing Interface (MPI) standard
  MPI for Python (mpi4py) provides bindings of the Message Passing
@@ -64,6 +66,7 @@
 
 Package: python-mpi4py-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
@@ -82,3 +85,49 @@
  builtin bytes/string/array objects).
  .
  This package provides HTML rendering of the user's manual.
+
+Package: python-mpi4py-dbg
+Architecture: any
+Depends: python-mpi4py (= ${binary:Version}),
+         mpi-default-bin,
+         ${shlibs:Depends},
+         ${misc:Depends},
+         ${python:Depends}
+Suggests: python-numpy-dbg
+Description: bindings of the Message Passing Interface (MPI) standard
+ MPI for Python (mpi4py) provides bindings of the Message Passing
+ Interface (MPI) standard for the Python programming language,
+ allowing any Python program to exploit multiple processors.
+ .
+ mpi4py is constructed on top of the MPI-1/MPI-2 specification
+ and provides an object oriented interface which closely follows MPI-2
+ C++ bindings.  It supports point-to-point (sends, receives) and
+ collective (broadcasts, scatters, gathers) communications of any
+ picklable Python object as well as optimized communications of Python
+ object exposing the single-segment buffer interface (NumPy arrays,
+ builtin bytes/string/array objects).
+ .
+ This package contains the extension built for the Python 2 debug interpreter.
+
+Package: python3-mpi4py-dbg
+Architecture: any
+Depends: python3-mpi4py (= ${binary:Version}),
+         mpi-default-bin,
+         ${shlibs:Depends},
+         ${misc:Depends},
+         ${python3:Depends}
+Suggests: python3-numpy-dbg
+Description: bindings of the Message Passing Interface (MPI) standard
+ MPI for Python (mpi4py) provides bindings of the Message Passing
+ Interface (MPI) standard for the Python programming language,
+ allowing any Python program to exploit multiple processors.
+ .
+ mpi4py is constructed on top of the MPI-1/MPI-2 specification
+ and provides an object oriented interface which closely follows MPI-2
+ C++ bindings.  It supports point-to-point (sends, receives) and
+ collective (broadcasts, scatters, gathers) communications of any
+ picklable Python object as well as optimized communications of Python
+ object exposing the single-segment buffer interface (NumPy arrays,
+ builtin bytes/string/array objects).
+ .
+ This package contains the extension built for the Python 3 debug interpreter.
