=== debian/changelog ===
mpi4py (3.0.3-2) unstable; urgency=medium

  * Team upload.
  * drop python-mpi4py (remove python2). Closes: #937088.

 -- Drew Parsons <dparsons@debian.org>  Fri, 10 Jan 2020 15:33:23 +0800

mpi4py (3.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Fri, 15 Nov 2019 12:36:15 +0800
