=== debian/control ===
--- 
+++ 
@@ -9,40 +9,16 @@
                mpi-default-dev,
                mpi-default-bin,
                rsh-client | openssh-client,
-               python-all-dev,
-               python-all-dbg,
-               python-numpy,
-               python-nose,
                cython3,
                python3-all-dev,
                python3-all-dbg,
                python3-numpy,
                python3-nose,
                python3-sphinx
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/science-team/mpi4py
 Vcs-Git: https://salsa.debian.org/science-team/mpi4py.git
 Homepage: https://bitbucket.org/mpi4py/mpi4py
-
-Package: python-mpi4py
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${python:Depends},
-         mpi-default-bin
-Suggests: python-numpy
-Description: bindings of the Message Passing Interface (MPI) standard
- MPI for Python (mpi4py) provides bindings of the Message Passing
- Interface (MPI) standard for the Python programming language,
- allowing any Python program to exploit multiple processors.
- .
- mpi4py is constructed on top of the MPI-1/MPI-2 specification
- and provides an object oriented interface which closely follows MPI-2
- C++ bindings.  It supports point-to-point (sends, receives) and
- collective (broadcasts, scatters, gathers) communications of any
- picklable Python object as well as optimized communications of Python
- object exposing the single-segment buffer interface (NumPy arrays,
- builtin bytes/string/array objects).
 
 Package: python3-mpi4py
 Architecture: any
@@ -70,7 +46,7 @@
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
-Suggests: python-mpi4py
+Suggests: python3-mpi4py
 Description: bindings of the MPI standard -- documentation
  MPI for Python (mpi4py) provides bindings of the Message Passing
  Interface (MPI) standard for the Python programming language,
@@ -85,29 +61,6 @@
  builtin bytes/string/array objects).
  .
  This package provides HTML rendering of the user's manual.
-
-Package: python-mpi4py-dbg
-Architecture: any
-Depends: python-mpi4py (= ${binary:Version}),
-         mpi-default-bin,
-         ${shlibs:Depends},
-         ${misc:Depends},
-         ${python:Depends}
-Suggests: python-numpy-dbg
-Description: bindings of the Message Passing Interface (MPI) standard
- MPI for Python (mpi4py) provides bindings of the Message Passing
- Interface (MPI) standard for the Python programming language,
- allowing any Python program to exploit multiple processors.
- .
- mpi4py is constructed on top of the MPI-1/MPI-2 specification
- and provides an object oriented interface which closely follows MPI-2
- C++ bindings.  It supports point-to-point (sends, receives) and
- collective (broadcasts, scatters, gathers) communications of any
- picklable Python object as well as optimized communications of Python
- object exposing the single-segment buffer interface (NumPy arrays,
- builtin bytes/string/array objects).
- .
- This package contains the extension built for the Python 2 debug interpreter.
 
 Package: python3-mpi4py-dbg
 Architecture: any
