=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # -*- makefile -*-
 
 PY3 = $(shell py3versions -vd)
-PY2VERS = $(shell pyversions -vr)
 PY3VERS = $(shell py3versions -vr)
 
 LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
@@ -43,7 +42,7 @@
 endif
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem pybuild
 
 cythonize:
 	@echo "D: removing previously generated by Cython sources"
@@ -69,23 +68,9 @@
 	find $(CURDIR)/debian/tmp -type d -empty -delete
 
 override_dh_install-arch:
-	dh_install -ppython-mpi4py  -X*_d.so
 	dh_install -ppython3-mpi4py -X*.cpython-3?d*.so
-	dh_install -ppython-mpi4py-dbg -ppython3-mpi4py-dbg
 
 	: # create symlinks for .h files
-	set -e; for v in $(PY2VERS); do \
-	[ -d $(CURDIR)/debian/python-mpi4py/usr/include/python$$v ] || \
-		mkdir -p $(CURDIR)/debian/python-mpi4py/usr/include/python$$v; \
-		dh_link -ppython-mpi4py usr/lib/python$$v/dist-packages/mpi4py/include/mpi4py usr/include/python$$v/mpi4py; \
-	done
-	set -e; for v in $(PY2VERS); do \
-	[ -d $(CURDIR)/debian/python-mpi4py/usr/include/python$$v_d ] || \
-		mkdir -p $(CURDIR)/debian/python-mpi4py-dbg/usr/include/python$$v_d; \
-		dh_link -ppython-mpi4py-dbg usr/lib/python$$v/dist-packages/mpi4py/include/mpi4py usr/include/python$$v_d/mpi4py; \
-	done
-
-	: # Python 3
 	: # Can have python$$v symlink pointing to python3.?m or python3.?mu
 	: # see #700995 for more details.  So first look where it points to
 	: # and use that directory
@@ -107,11 +92,11 @@
 	if [ "$(RUNTEST)" = "no" ]; then \
 	  echo Build tests have been disabled; \
 	else \
-	  for vv in $(PY2VERS) $(PY3VERS); do \
+	  for vv in $(PY3VERS); do \
 	  echo "I: testing using python$$vv"; \
 	  v=`echo $$vv | sed "s/\..*//"`; \
 	   PYTHONPATH=`/bin/ls -d $(CURDIR)/.pybuild/cpython$${v}_$${vv}/build` \
-	    /usr/bin/python$$vv /usr/bin/nosetests -v --exclude='testPackUnpackExternal' -A "not network" || $(IGNORE_FAILED_TESTS); \
+	    /usr/bin/python$$vv /usr/bin/nosetests3 -v --exclude='testPackUnpackExternal' -A "not network" || $(IGNORE_FAILED_TESTS); \
 	  done; \
 	fi
 
@@ -129,7 +114,6 @@
 
 override_dh_strip:
 ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
-	dh_strip -ppython-mpi4py --dbg-package=python-mpi4py-dbg
 	dh_strip -ppython3-mpi4py --dbg-package=python3-mpi4py-dbg
 	# dh_strip seemingly doesn't catch the PEP 3149-style debug names
 	rm -f debian/python3-mpi4py/usr/lib/python3*/*-packages/*/*.cpython-3?d*.so
